/**
 * Cesium Sensor Volumes - https://github.com/jlouns/cesium-sensor-volumes
 *
 * Copyright 2016 Jonathan Lounsbury
 * Copyright 2011-2014 Analytical Graphics Inc. and Cesium Contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Portions licensed separately.
 * See https://github.com/jlouns/cesium-sensor-volumes/blob/master/LICENSE.md for full licensing details.
 *
 * Derived from Cesium Sensors - https://github.com/AnalyticalGraphicsInc/cesium-sensors
 */

/**
 * @license almond 0.3.3 Copyright jQuery Foundation and other contributors.
 * Released under MIT license, http://github.com/requirejs/almond/LICENSE
 */

!function(){var e,i,t;!function(r){function o(e,i){return y.call(e,i)}function n(e,i){var t,r,o,n,s,a,u,l,c,m,h,d,C=i&&i.split("/"),f=g.map,p=f&&f["*"]||{};if(e){for(e=e.split("/"),s=e.length-1,g.nodeIdCompat&&A.test(e[s])&&(e[s]=e[s].replace(A,"")),"."===e[0].charAt(0)&&C&&(d=C.slice(0,C.length-1),e=d.concat(e)),c=0;c<e.length;c++)if("."===(h=e[c]))e.splice(c,1),c-=1;else if(".."===h){if(0===c||1===c&&".."===e[2]||".."===e[c-1])continue;c>0&&(e.splice(c-1,2),c-=2)}e=e.join("/")}if((C||p)&&f){for(t=e.split("/"),c=t.length;c>0;c-=1){if(r=t.slice(0,c).join("/"),C)for(m=C.length;m>0;m-=1)if((o=f[C.slice(0,m).join("/")])&&(o=o[r])){n=o,a=c;break}if(n)break;!u&&p&&p[r]&&(u=p[r],l=c)}!n&&u&&(n=u,a=l),n&&(t.splice(0,a,n),e=t.join("/"))}return e}function s(e,i){return function(){var t=w.call(arguments,0);return"string"!=typeof t[0]&&1===t.length&&t.push(null),C.apply(r,t.concat([e,i]))}}function a(e){return function(i){return n(i,e)}}function u(e){return function(i){_[e]=i}}function l(e){if(o(v,e)){var i=v[e];delete v[e],S[e]=!0,d.apply(r,i)}if(!o(_,e)&&!o(S,e))throw new Error("No "+e);return _[e]}function c(e){var i,t=e?e.indexOf("!"):-1;return t>-1&&(i=e.substring(0,t),e=e.substring(t+1,e.length)),[i,e]}function m(e){return e?c(e):[]}function h(e){return function(){return g&&g.config&&g.config[e]||{}}}var d,C,f,p,_={},v={},g={},S={},y=Object.prototype.hasOwnProperty,w=[].slice,A=/\.js$/;f=function(e,i){var t,r=c(e),o=r[0],s=i[1];return e=r[1],o&&(o=n(o,s),t=l(o)),o?e=t&&t.normalize?t.normalize(e,a(s)):n(e,s):(e=n(e,s),r=c(e),o=r[0],e=r[1],o&&(t=l(o))),{f:o?o+"!"+e:e,n:e,pr:o,p:t}},p={require:function(e){return s(e)},exports:function(e){var i=_[e];return void 0!==i?i:_[e]={}},module:function(e){return{id:e,uri:"",exports:_[e],config:h(e)}}},d=function(e,i,t,n){var a,c,h,d,C,g,y,w=[],A=typeof t;if(n=n||e,g=m(n),"undefined"===A||"function"===A){for(i=!i.length&&t.length?["require","exports","module"]:i,C=0;C<i.length;C+=1)if(d=f(i[C],g),"require"===(c=d.f))w[C]=p.require(e);else if("exports"===c)w[C]=p.exports(e),y=!0;else if("module"===c)a=w[C]=p.module(e);else if(o(_,c)||o(v,c)||o(S,c))w[C]=l(c);else{if(!d.p)throw new Error(e+" missing "+c);d.p.load(d.n,s(n,!0),u(c),{}),w[C]=_[c]}h=t?t.apply(_[e],w):void 0,e&&(a&&a.exports!==r&&a.exports!==_[e]?_[e]=a.exports:h===r&&y||(_[e]=h))}else e&&(_[e]=t)},e=i=C=function(e,i,t,o,n){if("string"==typeof e)return p[e]?p[e](i):l(f(e,m(i)).f);if(!e.splice){if(g=e,g.deps&&C(g.deps,g.callback),!i)return;i.splice?(e=i,i=t,t=null):e=r}return i=i||function(){},"function"==typeof t&&(t=o,o=n),o?d(r,e,i,t):setTimeout(function(){d(r,e,i,t)},4),C},C.config=function(e){return C(e)},e._defined=_,t=function(e,i,t){if("string"!=typeof e)throw new Error("See almond README: incorrect module build, no module name");i.splice||(t=i,i=[]),o(_,e)||o(v,e)||(v[e]=[e,i,t])},t.amd={jQuery:!0}}(),t("conic/conic-sensor-graphics",["require","Cesium/Core/defaultValue","Cesium/Core/defined","Cesium/Core/DeveloperError","Cesium/Core/Event","Cesium/DataSources/createMaterialPropertyDescriptor","Cesium/DataSources/createPropertyDescriptor"],function(e){"use strict";var i=e("Cesium/Core/defaultValue"),t=e("Cesium/Core/defined"),r=Object.defineProperties,o=e("Cesium/Core/DeveloperError"),n=e("Cesium/Core/Event"),s=e("Cesium/DataSources/createMaterialPropertyDescriptor"),a=e("Cesium/DataSources/createPropertyDescriptor"),u=function(e){this._minimumClockAngle=void 0,this._minimumClockAngleSubscription=void 0,this._maximumClockAngle=void 0,this._maximumClockAngleSubscription=void 0,this._innerHalfAngle=void 0,this._innerHalfAngleSubscription=void 0,this._outerHalfAngle=void 0,this._outerHalfAngleSubscription=void 0,this._lateralSurfaceMaterial=void 0,this._lateralSurfaceMaterialSubscription=void 0,this._intersectionColor=void 0,this._intersectionColorSubscription=void 0,this._intersectionWidth=void 0,this._intersectionWidthSubscription=void 0,this._showIntersection=void 0,this._showIntersectionSubscription=void 0,this._radius=void 0,this._radiusSubscription=void 0,this._show=void 0,this._showSubscription=void 0,this._definitionChanged=new n,this.merge(i(e,i.EMPTY_OBJECT))};return r(u.prototype,{definitionChanged:{get:function(){return this._definitionChanged}},minimumClockAngle:a("minimumClockAngle"),maximumClockAngle:a("maximumClockAngle"),innerHalfAngle:a("innerHalfAngle"),outerHalfAngle:a("outerHalfAngle"),lateralSurfaceMaterial:s("lateralSurfaceMaterial"),intersectionColor:a("intersectionColor"),intersectionWidth:a("intersectionWidth"),showIntersection:a("showIntersection"),radius:a("radius"),show:a("show")}),u.prototype.clone=function(e){return t(e)||(e=new u),e.show=this.show,e.innerHalfAngle=this.innerHalfAngle,e.outerHalfAngle=this.outerHalfAngle,e.minimumClockAngle=this.minimumClockAngle,e.maximumClockAngle=this.maximumClockAngle,e.radius=this.radius,e.showIntersection=this.showIntersection,e.intersectionColor=this.intersectionColor,e.intersectionWidth=this.intersectionWidth,e.lateralSurfaceMaterial=this.lateralSurfaceMaterial,e},u.prototype.merge=function(e){if(!t(e))throw new o("source is required.");this.show=i(this.show,e.show),this.innerHalfAngle=i(this.innerHalfAngle,e.innerHalfAngle),this.outerHalfAngle=i(this.outerHalfAngle,e.outerHalfAngle),this.minimumClockAngle=i(this.minimumClockAngle,e.minimumClockAngle),this.maximumClockAngle=i(this.maximumClockAngle,e.maximumClockAngle),this.radius=i(this.radius,e.radius),this.showIntersection=i(this.showIntersection,e.showIntersection),this.intersectionColor=i(this.intersectionColor,e.intersectionColor),this.intersectionWidth=i(this.intersectionWidth,e.intersectionWidth),this.lateralSurfaceMaterial=i(this.lateralSurfaceMaterial,e.lateralSurfaceMaterial)},u}),t("text",{load:function(e){throw new Error("Dynamic load not allowed: "+e)}}),t("text!custom/custom-sensor-volume-fs.glsl",[],function(){return"#ifdef GL_OES_standard_derivatives\n#extension GL_OES_standard_derivatives : enable\n#endif\nuniform bool u_showIntersection;\nuniform bool u_showThroughEllipsoid;\nuniform float u_sensorRadius;\nuniform float u_normalDirection;\nvarying vec3 v_positionWC;\nvarying vec3 v_positionEC;\nvarying vec3 v_normalEC;\nvec4 getColor(float sensorRadius, vec3 pointEC)\n{\nczm_materialInput materialInput;\nvec3 pointMC = (czm_inverseModelView * vec4(pointEC, 1.0)).xyz;\nmaterialInput.st = sensor2dTextureCoordinates(sensorRadius, pointMC);\nmaterialInput.str = pointMC / sensorRadius;\nvec3 positionToEyeEC = -v_positionEC;\nmaterialInput.positionToEyeEC = positionToEyeEC;\nvec3 normalEC = normalize(v_normalEC);\nmaterialInput.normalEC = u_normalDirection * normalEC;\nczm_material material = czm_getMaterial(materialInput);\nreturn mix(czm_phong(normalize(positionToEyeEC), material, czm_lightDirectionEC), vec4(material.diffuse, material.alpha), 0.4);\n}\nbool isOnBoundary(float value, float epsilon)\n{\nfloat width = getIntersectionWidth();\nfloat tolerance = width * epsilon;\n#ifdef GL_OES_standard_derivatives\nfloat delta = max(abs(dFdx(value)), abs(dFdy(value)));\nfloat pixels = width * delta;\nfloat temp = abs(value);\nreturn temp < tolerance && temp < pixels || (delta < 10.0 * tolerance && temp - delta < tolerance && temp < pixels);\n#else\nreturn abs(value) < tolerance;\n#endif\n}\nvec4 shade(bool isOnBoundary)\n{\nif (u_showIntersection && isOnBoundary)\n{\nreturn getIntersectionColor();\n}\nreturn getColor(u_sensorRadius, v_positionEC);\n}\nfloat ellipsoidSurfaceFunction( vec3 point)\n{\nvec3 scaled = czm_ellipsoidInverseRadii * point;\nreturn dot(scaled, scaled) - 1.0;\n}\nvoid main()\n{\nvec3 sensorVertexWC = czm_model[3].xyz;\nvec3 sensorVertexEC = czm_modelView[3].xyz;\nfloat ellipsoidValue = ellipsoidSurfaceFunction( v_positionWC);\nif (!u_showThroughEllipsoid)\n{\nif (ellipsoidValue < 0.0)\n{\ndiscard;\n}\nif (inSensorShadow(sensorVertexWC, v_positionWC))\n{\ndiscard;\n}\n}\nif (distance(v_positionEC, sensorVertexEC) > u_sensorRadius)\n{\ndiscard;\n}\nbool isOnEllipsoid = isOnBoundary(ellipsoidValue, czm_epsilon3);\ngl_FragColor = shade(isOnEllipsoid);\n}"}),t("text!custom/custom-sensor-volume-vs.glsl",[],function(){return"attribute vec4 position;\nattribute vec3 normal;\nvarying vec3 v_positionWC;\nvarying vec3 v_positionEC;\nvarying vec3 v_normalEC;\nvoid main()\n{\ngl_Position = czm_modelViewProjection * position;\nv_positionWC = (czm_model * position).xyz;\nv_positionEC = (czm_modelView * position).xyz;\nv_normalEC = czm_normal * normal;\n}"}),t("text!sensor-volume.glsl",[],function(){return"uniform vec4 u_intersectionColor;\nuniform float u_intersectionWidth;\nbool inSensorShadow(vec3 coneVertexWC, vec3 pointWC)\n{\nvec3 D = czm_ellipsoidInverseRadii;\nvec3 q = D * coneVertexWC;\nfloat qMagnitudeSquared = dot(q, q);\nfloat test = qMagnitudeSquared - 1.0;\nvec3 temp = D * pointWC - q;\nfloat d = dot(temp, q);\nreturn (d < -test) && (d / length(temp) < -sqrt(test));\n}\nvec4 getIntersectionColor()\n{\nreturn u_intersectionColor;\n}\nfloat getIntersectionWidth()\n{\nreturn u_intersectionWidth;\n}\nvec2 sensor2dTextureCoordinates(float sensorRadius, vec3 pointMC)\n{\nfloat t = pointMC.z / sensorRadius;\nfloat s = 1.0 + (atan(pointMC.y, pointMC.x) / czm_twoPi);\ns = s - floor(s);\nreturn vec2(s, t);\n}"}),t("custom/custom-sensor-volume",["require","Cesium/Core/BoundingSphere","Cesium/Core/Cartesian3","Cesium/Core/Color","Cesium/Core/combine","Cesium/Core/ComponentDatatype","Cesium/Core/defaultValue","Cesium/Core/defined","Cesium/Core/destroyObject","Cesium/Core/DeveloperError","Cesium/Core/Matrix4","Cesium/Core/PrimitiveType","Cesium/Renderer/Buffer","Cesium/Renderer/BufferUsage","Cesium/Renderer/DrawCommand","Cesium/Renderer/Pass","Cesium/Renderer/RenderState","Cesium/Renderer/ShaderProgram","Cesium/Renderer/ShaderSource","Cesium/Renderer/VertexArray","Cesium/Scene/BlendingState","Cesium/Scene/CullFace","Cesium/Scene/Material","Cesium/Scene/SceneMode","text!./custom-sensor-volume-fs.glsl","text!./custom-sensor-volume-vs.glsl","text!../sensor-volume.glsl"],function(e){"use strict";function i(e){for(var i=e._directions,t=i.length,n=new Float32Array(3*t),s=isFinite(e.radius)?e.radius:T,a=[o.ZERO],u=t-2,l=t-1,c=0;c<t;u=l++,l=c++){var m=o.fromSpherical(i[u],k),h=o.fromSpherical(i[l],O),d=o.fromSpherical(i[c],H),C=Math.max(o.angleBetween(m,h),o.angleBetween(h,d)),f=s/Math.cos(.5*C),p=o.multiplyByScalar(h,f,new o);n[3*l]=p.x,n[3*l+1]=p.y,n[3*l+2]=p.z,a.push(p)}return r.fromPoints(a,e._boundingSphere),n}function t(e,t){for(var r=i(e),n=e._directions.length,s=new Float32Array(18*n),u=0,l=n-1,c=0;c<n;l=c++){var m=new o(r[3*l],r[3*l+1],r[3*l+2]),h=new o(r[3*c],r[3*c+1],r[3*c+2]),d=o.normalize(o.cross(h,m,z),z);s[u++]=0,s[u++]=0,s[u++]=0,s[u++]=d.x,s[u++]=d.y,s[u++]=d.z,s[u++]=h.x,s[u++]=h.y,s[u++]=h.z,s[u++]=d.x,s[u++]=d.y,s[u++]=d.z,s[u++]=m.x,s[u++]=m.y,s[u++]=m.z,s[u++]=d.x,s[u++]=d.y,s[u++]=d.z}var C=f.createVertexBuffer({context:t,typedArray:new Float32Array(s),usage:p.STATIC_DRAW}),_=6*Float32Array.BYTES_PER_ELEMENT,v=[{index:I.position,vertexBuffer:C,componentsPerAttribute:3,componentDatatype:a.FLOAT,offsetInBytes:0,strideInBytes:_},{index:I.normal,vertexBuffer:C,componentsPerAttribute:3,componentDatatype:a.FLOAT,offsetInBytes:3*Float32Array.BYTES_PER_ELEMENT,strideInBytes:_}];return new w({context:t,attributes:v})}var r=e("Cesium/Core/BoundingSphere"),o=e("Cesium/Core/Cartesian3"),n=e("Cesium/Core/Color"),s=e("Cesium/Core/combine"),a=e("Cesium/Core/ComponentDatatype"),u=e("Cesium/Core/defaultValue"),l=e("Cesium/Core/defined"),c=Object.defineProperties,m=e("Cesium/Core/destroyObject"),h=e("Cesium/Core/DeveloperError"),d=e("Cesium/Core/Matrix4"),C=e("Cesium/Core/PrimitiveType"),f=e("Cesium/Renderer/Buffer"),p=e("Cesium/Renderer/BufferUsage"),_=e("Cesium/Renderer/DrawCommand"),v=e("Cesium/Renderer/Pass"),g=e("Cesium/Renderer/RenderState"),S=e("Cesium/Renderer/ShaderProgram"),y=e("Cesium/Renderer/ShaderSource"),w=e("Cesium/Renderer/VertexArray"),A=e("Cesium/Scene/BlendingState"),M=e("Cesium/Scene/CullFace"),x=e("Cesium/Scene/Material"),D=e("Cesium/Scene/SceneMode"),E=e("text!./custom-sensor-volume-fs.glsl"),b=e("text!./custom-sensor-volume-vs.glsl"),P=e("text!../sensor-volume.glsl"),I={position:0,normal:1},T=5906376272e3,V=function(e){e=u(e,u.EMPTY_OBJECT),this._pickId=void 0,this._pickPrimitive=u(e._pickPrimitive,this),this._frontFaceColorCommand=new _,this._backFaceColorCommand=new _,this._pickCommand=new _,this._boundingSphere=new r,this._boundingSphereWC=new r,this._frontFaceColorCommand.primitiveType=C.TRIANGLES,this._frontFaceColorCommand.boundingVolume=this._boundingSphereWC,this._frontFaceColorCommand.owner=this,this._backFaceColorCommand.primitiveType=this._frontFaceColorCommand.primitiveType,this._backFaceColorCommand.boundingVolume=this._frontFaceColorCommand.boundingVolume,this._backFaceColorCommand.owner=this,this._pickCommand.primitiveType=this._frontFaceColorCommand.primitiveType,this._pickCommand.boundingVolume=this._frontFaceColorCommand.boundingVolume,this._pickCommand.owner=this,this.show=u(e.show,!0),this.showIntersection=u(e.showIntersection,!0),this.showThroughEllipsoid=u(e.showThroughEllipsoid,!1),this._showThroughEllipsoid=this.showThroughEllipsoid,this.modelMatrix=d.clone(u(e.modelMatrix,d.IDENTITY)),this._modelMatrix=new d,this.radius=u(e.radius,Number.POSITIVE_INFINITY),this._directions=void 0,this._directionsDirty=!1,this.directions=l(e.directions)?e.directions:[],this.lateralSurfaceMaterial=l(e.lateralSurfaceMaterial)?e.lateralSurfaceMaterial:x.fromType(x.ColorType),this._lateralSurfaceMaterial=void 0,this._translucent=void 0,this.intersectionColor=n.clone(u(e.intersectionColor,n.WHITE)),this.intersectionWidth=u(e.intersectionWidth,5),this.id=e.id,this._id=void 0;var i=this;this._uniforms={u_showThroughEllipsoid:function(){return i.showThroughEllipsoid},u_showIntersection:function(){return i.showIntersection},u_sensorRadius:function(){return isFinite(i.radius)?i.radius:T},u_intersectionColor:function(){return i.intersectionColor},u_intersectionWidth:function(){return i.intersectionWidth},u_normalDirection:function(){return 1}},this._mode=D.SCENE3D};c(V.prototype,{directions:{get:function(){return this._directions},set:function(e){this._directions=e,this._directionsDirty=!0}}});var k=new o,O=new o,H=new o,z=new o;return V.prototype.update=function(e){if(this._mode=e.mode,this.show&&this._mode===D.SCENE3D){var i=e.context,o=e.commandList;if(this.radius<0)throw new h("this.radius must be greater than or equal to zero.");if(!l(this.lateralSurfaceMaterial))throw new h("this.lateralSurfaceMaterial must be defined.");var n=this.lateralSurfaceMaterial.isTranslucent();if(this._showThroughEllipsoid!==this.showThroughEllipsoid||!l(this._frontFaceColorCommand.renderState)||this._translucent!==n){this._showThroughEllipsoid=this.showThroughEllipsoid,this._translucent=n;var a;n?(a=g.fromCache({depthTest:{enabled:!this.showThroughEllipsoid},depthMask:!1,blending:A.ALPHA_BLEND,cull:{enabled:!0,face:M.BACK}}),this._frontFaceColorCommand.renderState=a,this._frontFaceColorCommand.pass=v.TRANSLUCENT,a=g.fromCache({depthTest:{enabled:!this.showThroughEllipsoid},depthMask:!1,blending:A.ALPHA_BLEND,cull:{enabled:!0,face:M.FRONT}}),this._backFaceColorCommand.renderState=a,this._backFaceColorCommand.pass=v.TRANSLUCENT,a=g.fromCache({depthTest:{enabled:!this.showThroughEllipsoid},depthMask:!1,blending:A.ALPHA_BLEND}),this._pickCommand.renderState=a):(a=g.fromCache({depthTest:{enabled:!0},depthMask:!0}),this._frontFaceColorCommand.renderState=a,this._frontFaceColorCommand.pass=v.OPAQUE,a=g.fromCache({depthTest:{enabled:!0},depthMask:!0}),this._pickCommand.renderState=a)}var u=this._directionsDirty;if(u){this._directionsDirty=!1,this._va=this._va&&this._va.destroy();var c=this._directions;c&&c.length>=3&&(this._frontFaceColorCommand.vertexArray=t(this,i),this._backFaceColorCommand.vertexArray=this._frontFaceColorCommand.vertexArray,this._pickCommand.vertexArray=this._frontFaceColorCommand.vertexArray)}if(l(this._frontFaceColorCommand.vertexArray)){var m=e.passes,C=!d.equals(this.modelMatrix,this._modelMatrix);C&&d.clone(this.modelMatrix,this._modelMatrix),(u||C)&&r.transform(this._boundingSphere,this.modelMatrix,this._boundingSphereWC),this._frontFaceColorCommand.modelMatrix=this.modelMatrix,this._backFaceColorCommand.modelMatrix=this._frontFaceColorCommand.modelMatrix,this._pickCommand.modelMatrix=this._frontFaceColorCommand.modelMatrix;var f=this._lateralSurfaceMaterial!==this.lateralSurfaceMaterial;if(this._lateralSurfaceMaterial=this.lateralSurfaceMaterial,this._lateralSurfaceMaterial.update(i),m.render){var p=this._frontFaceColorCommand,_=this._backFaceColorCommand;if(f||!l(p.shaderProgram)){var w=new y({sources:[P,this._lateralSurfaceMaterial.shaderSource,E]});p.shaderProgram=S.replaceCache({context:i,shaderProgram:p.shaderProgram,vertexShaderSource:b,fragmentShaderSource:w,attributeLocations:I}),p.uniformMap=s(this._uniforms,this._lateralSurfaceMaterial._uniforms),_.shaderProgram=p.shaderProgram,_.uniformMap=s(this._uniforms,this._lateralSurfaceMaterial._uniforms),_.uniformMap.u_normalDirection=function(){return-1}}n?o.push(this._backFaceColorCommand,this._frontFaceColorCommand):o.push(this._frontFaceColorCommand)}if(m.pick){var x=this._pickCommand;if(l(this._pickId)&&this._id===this.id||(this._id=this.id,this._pickId=this._pickId&&this._pickId.destroy(),this._pickId=i.createPickId({primitive:this._pickPrimitive,id:this.id})),f||!l(x.shaderProgram)){var T=new y({sources:[P,this._lateralSurfaceMaterial.shaderSource,E],pickColorQualifier:"uniform"});x.shaderProgram=S.replaceCache({context:i,shaderProgram:x.shaderProgram,vertexShaderSource:b,fragmentShaderSource:T,attributeLocations:I});var V=this,k={czm_pickColor:function(){return V._pickId.color}};x.uniformMap=s(s(this._uniforms,this._lateralSurfaceMaterial._uniforms),k)}x.pass=n?v.TRANSLUCENT:v.OPAQUE,o.push(x)}}}},V.prototype.isDestroyed=function(){return!1},V.prototype.destroy=function(){return this._frontFaceColorCommand.vertexArray=this._frontFaceColorCommand.vertexArray&&this._frontFaceColorCommand.vertexArray.destroy(),this._frontFaceColorCommand.shaderProgram=this._frontFaceColorCommand.shaderProgram&&this._frontFaceColorCommand.shaderProgram.destroy(),this._pickCommand.shaderProgram=this._pickCommand.shaderProgram&&this._pickCommand.shaderProgram.destroy(),this._pickId=this._pickId&&this._pickId.destroy(),m(this)},V}),t("util/remove-primitive",["require","Cesium/Core/defined"],function(e){"use strict";var i=e("Cesium/Core/defined");return function(e,t,r){var o=t[e.id];if(i(o)){var n=o.primitive;r.remove(n),n.isDestroyed()||n.destroy(),delete t[e.id]}}}),t("conic/conic-sensor-visualizer",["require","Cesium/Core/AssociativeArray","Cesium/Core/Cartesian3","Cesium/Core/Color","Cesium/Core/defined","Cesium/Core/destroyObject","Cesium/Core/DeveloperError","Cesium/Core/Math","Cesium/Core/Matrix3","Cesium/Core/Matrix4","Cesium/Core/Quaternion","Cesium/Core/Spherical","Cesium/DataSources/MaterialProperty","Cesium/DataSources/Property","../custom/custom-sensor-volume","../util/remove-primitive"],function(e){"use strict";function i(e,i,t,r){var o=i[e];s(o)||(o=new d,i[e]=o),o.clock=t,o.cone=r,o.magnitude=1}function t(e,t,r,o,n){var s,a=e.directions,u=0,c=l.toRadians(2);if(0===t&&r===l.TWO_PI)for(s=0;s<l.TWO_PI;s+=c)i(u++,a,s,n);else{for(s=t;s<r;s+=c)i(u++,a,s,n);if(i(u++,a,r,n),o){for(s=r;s>t;s-=c)i(u++,a,s,o);i(u++,a,t,o)}else i(u++,a,r,0)}a.length=u,e.directions=a}var r=e("Cesium/Core/AssociativeArray"),o=e("Cesium/Core/Cartesian3"),n=e("Cesium/Core/Color"),s=e("Cesium/Core/defined"),a=e("Cesium/Core/destroyObject"),u=e("Cesium/Core/DeveloperError"),l=e("Cesium/Core/Math"),c=e("Cesium/Core/Matrix3"),m=e("Cesium/Core/Matrix4"),h=e("Cesium/Core/Quaternion"),d=e("Cesium/Core/Spherical"),C=e("Cesium/DataSources/MaterialProperty"),f=e("Cesium/DataSources/Property"),p=e("../custom/custom-sensor-volume"),_=e("../util/remove-primitive"),v=n.WHITE,g=Number.POSITIVE_INFINITY,S=new c,y=new o,w=new h,A=function(e,i){if(!s(e))throw new u("scene is required.");if(!s(i))throw new u("entityCollection is required.");i.collectionChanged.addEventListener(A.prototype._onCollectionChanged,this),this._scene=e,this._primitives=e.primitives,this._entityCollection=i,this._hash={},this._entitiesToVisualize=new r,this._onCollectionChanged(i,i.values,[],[])};return A.prototype.update=function(e){if(!s(e))throw new u("time is required.");for(var i=this._entitiesToVisualize.values,r=this._hash,n=this._primitives,a=0,d=i.length;a<d;a++){var _,A,M=i[a],x=M._conicSensor,D=r[M.id],E=M.isShowing&&M.isAvailable(e)&&f.getValueOrDefault(x._show,e,!0);if(E&&(_=f.getValueOrUndefined(M._position,e,y),A=f.getValueOrUndefined(M._orientation,e,w),E=s(_)&&s(A)),E){var b=s(D)?D.primitive:void 0;s(b)||(b=new p,b.id=M,n.add(b),D={primitive:b,position:void 0,orientation:void 0,minimumClockAngle:void 0,maximumClockAngle:void 0,innerHalfAngle:void 0,outerHalfAngle:void 0},r[M.id]=D),o.equals(_,D.position)&&h.equals(A,D.orientation)||(m.fromRotationTranslation(c.fromQuaternion(A,S),_,b.modelMatrix),D.position=o.clone(_,D.position),D.orientation=h.clone(A,D.orientation)),b.show=!0;var P=f.getValueOrDefault(x._minimumClockAngle,e,0),I=f.getValueOrDefault(x._maximumClockAngle,e,l.TWO_PI),T=f.getValueOrDefault(x._innerHalfAngle,e,0),V=f.getValueOrDefault(x._outerHalfAngle,e,Math.PI);P===D.minimumClockAngle&&I===D.maximumClockAngle&&T===D.innerHalfAngle&&V===D.outerHalfAngle||(t(b,P,I,T,V),D.innerHalfAngle=T,D.maximumClockAngle=I,D.outerHalfAngle=V,D.minimumClockAngle=P),b.radius=f.getValueOrDefault(x._radius,e,g),b.lateralSurfaceMaterial=C.getValue(e,x._lateralSurfaceMaterial,b.lateralSurfaceMaterial),b.intersectionColor=f.getValueOrClonedDefault(x._intersectionColor,e,v,b.intersectionColor),b.intersectionWidth=f.getValueOrDefault(x._intersectionWidth,e,1)}else s(D)&&(D.primitive.show=!1)}return!0},A.prototype.isDestroyed=function(){return!1},A.prototype.destroy=function(){for(var e=this._entitiesToVisualize.values,i=this._hash,t=this._primitives,r=e.length-1;r>-1;r--)_(e[r],i,t);return a(this)},A.prototype._onCollectionChanged=function(e,i,t,r){var o,n,a=this._entitiesToVisualize,u=this._hash,l=this._primitives;for(o=i.length-1;o>-1;o--)n=i[o],s(n._conicSensor)&&s(n._position)&&s(n._orientation)&&a.set(n.id,n);for(o=r.length-1;o>-1;o--)n=r[o],s(n._conicSensor)&&s(n._position)&&s(n._orientation)?a.set(n.id,n):(_(n,u,l),a.remove(n.id));for(o=t.length-1;o>-1;o--)n=t[o],_(n,u,l),a.remove(n.id)},A}),t("custom/custom-pattern-sensor-graphics",["require","Cesium/Core/defaultValue","Cesium/Core/defined","Cesium/Core/DeveloperError","Cesium/Core/Event","Cesium/DataSources/createMaterialPropertyDescriptor","Cesium/DataSources/createPropertyDescriptor"],function(e){"use strict";var i=e("Cesium/Core/defaultValue"),t=e("Cesium/Core/defined"),r=Object.defineProperties,o=e("Cesium/Core/DeveloperError"),n=e("Cesium/Core/Event"),s=e("Cesium/DataSources/createMaterialPropertyDescriptor"),a=e("Cesium/DataSources/createPropertyDescriptor"),u=function(e){this._directions=void 0,this._directionsSubscription=void 0,this._lateralSurfaceMaterial=void 0,this._lateralSurfaceMaterialSubscription=void 0,this._intersectionColor=void 0,this._intersectionColorSubscription=void 0,this._intersectionWidth=void 0,this._intersectionWidthSubscription=void 0,this._showIntersection=void 0,this._showIntersectionSubscription=void 0,this._radius=void 0,this._radiusSubscription=void 0,this._show=void 0,this._showSubscription=void 0,this._definitionChanged=new n,this.merge(i(e,i.EMPTY_OBJECT))};return r(u.prototype,{definitionChanged:{get:function(){return this._definitionChanged}},directions:a("directions"),lateralSurfaceMaterial:s("lateralSurfaceMaterial"),intersectionColor:a("intersectionColor"),intersectionWidth:a("intersectionWidth"),showIntersection:a("showIntersection"),radius:a("radius"),show:a("show")}),u.prototype.clone=function(e){return t(e)||(e=new u),e.directions=this.directions,e.radius=this.radius,e.show=this.show,e.showIntersection=this.showIntersection,e.intersectionColor=this.intersectionColor,e.intersectionWidth=this.intersectionWidth,e.lateralSurfaceMaterial=this.lateralSurfaceMaterial,e},u.prototype.merge=function(e){if(!t(e))throw new o("source is required.");this.directions=i(this.directions,e.directions),this.radius=i(this.radius,e.radius),this.show=i(this.show,e.show),this.showIntersection=i(this.showIntersection,e.showIntersection),this.intersectionColor=i(this.intersectionColor,e.intersectionColor),this.intersectionWidth=i(this.intersectionWidth,e.intersectionWidth),this.lateralSurfaceMaterial=i(this.lateralSurfaceMaterial,e.lateralSurfaceMaterial)},u}),t("custom/custom-pattern-sensor-visualizer",["require","Cesium/Core/AssociativeArray","Cesium/Core/Cartesian3","Cesium/Core/Color","Cesium/Core/defined","Cesium/Core/destroyObject","Cesium/Core/DeveloperError","Cesium/Core/Matrix3","Cesium/Core/Matrix4","Cesium/Core/Quaternion","Cesium/DataSources/MaterialProperty","Cesium/DataSources/Property","../custom/custom-sensor-volume","../util/remove-primitive"],function(e){"use strict";var i=e("Cesium/Core/AssociativeArray"),t=e("Cesium/Core/Cartesian3"),r=e("Cesium/Core/Color"),o=e("Cesium/Core/defined"),n=e("Cesium/Core/destroyObject"),s=e("Cesium/Core/DeveloperError"),a=e("Cesium/Core/Matrix3"),u=e("Cesium/Core/Matrix4"),l=e("Cesium/Core/Quaternion"),c=e("Cesium/DataSources/MaterialProperty"),m=e("Cesium/DataSources/Property"),h=e("../custom/custom-sensor-volume"),d=e("../util/remove-primitive"),C=r.WHITE,f=Number.POSITIVE_INFINITY,p=new a,_=new t,v=new l,g=function(e,t){if(!o(e))throw new s("scene is required.");if(!o(t))throw new s("entityCollection is required.");t.collectionChanged.addEventListener(g.prototype._onCollectionChanged,this),this._scene=e,this._primitives=e.primitives,this._entityCollection=t,this._hash={},this._entitiesToVisualize=new i,this._onCollectionChanged(t,t.values,[],[])};return g.prototype.update=function(e){if(!o(e))throw new s("time is required.");for(var i=this._entitiesToVisualize.values,r=this._hash,n=this._primitives,d=0,g=i.length;d<g;d++){var S,y,w,A=i[d],M=A._customPatternSensor,x=r[A.id],D=A.isShowing&&A.isAvailable(e)&&m.getValueOrDefault(M._show,e,!0);if(D&&(S=m.getValueOrUndefined(A._position,e,_),y=m.getValueOrUndefined(A._orientation,e,v),w=m.getValueOrUndefined(M._directions,e),D=o(S)&&o(y)&&o(w)),D){var E=o(x)?x.primitive:void 0;o(E)||(E=new h,E.id=A,n.add(E),x={primitive:E,position:void 0,orientation:void 0},r[A.id]=x),t.equals(S,x.position)&&l.equals(y,x.orientation)||(u.fromRotationTranslation(a.fromQuaternion(y,p),S,E.modelMatrix),x.position=t.clone(S,x.position),x.orientation=l.clone(y,x.orientation)),E.show=!0,E.directions=w,E.radius=m.getValueOrDefault(M._radius,e,f),E.lateralSurfaceMaterial=c.getValue(e,M._lateralSurfaceMaterial,E.lateralSurfaceMaterial),E.intersectionColor=m.getValueOrClonedDefault(M._intersectionColor,e,C,E.intersectionColor),E.intersectionWidth=m.getValueOrDefault(M._intersectionWidth,e,1)}else o(x)&&(x.primitive.show=!1)}return!0},g.prototype.isDestroyed=function(){return!1},g.prototype.destroy=function(){for(var e=this._entitiesToVisualize.values,i=this._hash,t=this._primitives,r=e.length-1;r>-1;r--)d(e[r],i,t);return n(this)},g.prototype._onCollectionChanged=function(e,i,t,r){var n,s,a=this._entitiesToVisualize,u=this._hash,l=this._primitives;for(n=i.length-1;n>-1;n--)s=i[n],o(s._customPatternSensor)&&o(s._position)&&o(s._orientation)&&a.set(s.id,s);for(n=r.length-1;n>-1;n--)s=r[n],o(s._customPatternSensor)&&o(s._position)&&o(s._orientation)?a.set(s.id,s):(d(s,u,l),a.remove(s.id));for(n=t.length-1;n>-1;n--)s=t[n],d(s,u,l),a.remove(s.id)},g}),t("rectangular/rectangular-sensor-graphics",["require","Cesium/Core/defaultValue","Cesium/Core/defined","Cesium/Core/DeveloperError","Cesium/Core/Event","Cesium/DataSources/createPropertyDescriptor"],function(e){"use strict";var i=e("Cesium/Core/defaultValue"),t=e("Cesium/Core/defined"),r=Object.defineProperties,o=e("Cesium/Core/DeveloperError"),n=e("Cesium/Core/Event"),s=e("Cesium/DataSources/createPropertyDescriptor"),a=function(){this._xHalfAngle=void 0,this._xHalfAngleSubscription=void 0,this._yHalfAngle=void 0,this._yHalfAngleSubscription=void 0,this._lateralSurfaceMaterial=void 0,this._lateralSurfaceMaterialSubscription=void 0,this._intersectionColor=void 0,this._intersectionColorSubscription=void 0,this._intersectionWidth=void 0,this._intersectionWidthSubscription=void 0,this._showIntersection=void 0,this._showIntersectionSubscription=void 0,this._radius=void 0,this._radiusSubscription=void 0,this._show=void 0,this._showSubscription=void 0,this._definitionChanged=new n};return r(a.prototype,{definitionChanged:{get:function(){return this._definitionChanged}},xHalfAngle:s("xHalfAngle"),yHalfAngle:s("yHalfAngle"),lateralSurfaceMaterial:s("lateralSurfaceMaterial"),intersectionColor:s("intersectionColor"),intersectionWidth:s("intersectionWidth"),showIntersection:s("showIntersection"),radius:s("radius"),show:s("show")}),a.prototype.clone=function(e){return t(e)||(e=new a),e.xHalfAngle=this.xHalfAngle,e.yHalfAngle=this.yHalfAngle,e.radius=this.radius,e.show=this.show,e.showIntersection=this.showIntersection,e.intersectionColor=this.intersectionColor,e.intersectionWidth=this.intersectionWidth,e.lateralSurfaceMaterial=this.lateralSurfaceMaterial,e},a.prototype.merge=function(e){if(!t(e))throw new o("source is required.");this.xHalfAngle=i(this.xHalfAngle,e.xHalfAngle),this.yHalfAngle=i(this.yHalfAngle,e.yHalfAngle),this.radius=i(this.radius,e.radius),this.show=i(this.show,e.show),this.showIntersection=i(this.showIntersection,e.showIntersection),this.intersectionColor=i(this.intersectionColor,e.intersectionColor),this.intersectionWidth=i(this.intersectionWidth,e.intersectionWidth),this.lateralSurfaceMaterial=i(this.lateralSurfaceMaterial,e.lateralSurfaceMaterial)},a}),t("rectangular/rectangular-pyramid-sensor-volume",["require","Cesium/Core/clone","Cesium/Core/defaultValue","Cesium/Core/defined","Cesium/Core/destroyObject","Cesium/Core/DeveloperError","Cesium/Core/Math","Cesium/Core/Spherical","../custom/custom-sensor-volume"],function(e){"use strict";function i(e,i,t,r){var o=i[e];n(o)||(o=new c,i[e]=o),o.clock=t,o.cone=r,o.magnitude=1}function t(e){var t=e._customSensor.directions,r=Math.tan(Math.min(e._xHalfAngle,l.toRadians(89))),o=Math.tan(Math.min(e._yHalfAngle,l.toRadians(89))),n=Math.atan(r/o),s=Math.atan(Math.sqrt(r*r+o*o));i(0,t,n,s),i(1,t,l.toRadians(180)-n,s),i(2,t,l.toRadians(180)+n,s),i(3,t,-n,s),t.length=4,e._customSensor.directions=t}var r=e("Cesium/Core/clone"),o=e("Cesium/Core/defaultValue"),n=e("Cesium/Core/defined"),s=Object.defineProperties,a=e("Cesium/Core/destroyObject"),u=e("Cesium/Core/DeveloperError"),l=e("Cesium/Core/Math"),c=e("Cesium/Core/Spherical"),m=e("../custom/custom-sensor-volume"),h=function(e){e=o(e,o.EMPTY_OBJECT);var i=r(e);i._pickPrimitive=o(e._pickPrimitive,this),i.directions=void 0,this._customSensor=new m(i),this._xHalfAngle=o(e.xHalfAngle,l.PI_OVER_TWO),this._yHalfAngle=o(e.yHalfAngle,l.PI_OVER_TWO),t(this)};return s(h.prototype,{xHalfAngle:{get:function(){return this._xHalfAngle},set:function(e){if(e>l.PI_OVER_TWO)throw new u("xHalfAngle must be less than or equal to 90 degrees.");this._xHalfAngle!==e&&(this._xHalfAngle=e,t(this))}},yHalfAngle:{get:function(){return this._yHalfAngle},set:function(e){if(e>l.PI_OVER_TWO)throw new u("yHalfAngle must be less than or equal to 90 degrees.");this._yHalfAngle!==e&&(this._yHalfAngle=e,t(this))}},show:{get:function(){return this._customSensor.show},set:function(e){this._customSensor.show=e}},showIntersection:{get:function(){return this._customSensor.showIntersection},set:function(e){this._customSensor.showIntersection=e}},showThroughEllipsoid:{get:function(){return this._customSensor.showThroughEllipsoid},set:function(e){this._customSensor.showThroughEllipsoid=e}},modelMatrix:{get:function(){return this._customSensor.modelMatrix},set:function(e){
this._customSensor.modelMatrix=e}},radius:{get:function(){return this._customSensor.radius},set:function(e){this._customSensor.radius=e}},lateralSurfaceMaterial:{get:function(){return this._customSensor.lateralSurfaceMaterial},set:function(e){this._customSensor.lateralSurfaceMaterial=e}},intersectionColor:{get:function(){return this._customSensor.intersectionColor},set:function(e){this._customSensor.intersectionColor=e}},intersectionWidth:{get:function(){return this._customSensor.intersectionWidth},set:function(e){this._customSensor.intersectionWidth=e}},id:{get:function(){return this._customSensor.id},set:function(e){this._customSensor.id=e}}}),h.prototype.update=function(e){this._customSensor.update(e)},h.prototype.isDestroyed=function(){return!1},h.prototype.destroy=function(){return this._customSensor=this._customSensor&&this._customSensor.destroy(),a(this)},h}),t("rectangular/rectangular-sensor-visualizer",["require","Cesium/Core/AssociativeArray","Cesium/Core/Cartesian3","Cesium/Core/Color","Cesium/Core/defined","Cesium/Core/destroyObject","Cesium/Core/DeveloperError","Cesium/Core/Math","Cesium/Core/Matrix3","Cesium/Core/Matrix4","Cesium/Core/Quaternion","Cesium/DataSources/MaterialProperty","Cesium/DataSources/Property","./rectangular-pyramid-sensor-volume","../util/remove-primitive"],function(e){"use strict";var i=e("Cesium/Core/AssociativeArray"),t=e("Cesium/Core/Cartesian3"),r=e("Cesium/Core/Color"),o=e("Cesium/Core/defined"),n=e("Cesium/Core/destroyObject"),s=e("Cesium/Core/DeveloperError"),a=e("Cesium/Core/Math"),u=e("Cesium/Core/Matrix3"),l=e("Cesium/Core/Matrix4"),c=e("Cesium/Core/Quaternion"),m=e("Cesium/DataSources/MaterialProperty"),h=e("Cesium/DataSources/Property"),d=e("./rectangular-pyramid-sensor-volume"),C=e("../util/remove-primitive"),f=r.WHITE,p=Number.POSITIVE_INFINITY,_=new u,v=new t,g=new c,S=function(e,t){if(!o(e))throw new s("scene is required.");if(!o(t))throw new s("entityCollection is required.");t.collectionChanged.addEventListener(S.prototype._onCollectionChanged,this),this._scene=e,this._primitives=e.primitives,this._entityCollection=t,this._hash={},this._entitiesToVisualize=new i,this._onCollectionChanged(t,t.values,[],[])};return S.prototype.update=function(e){if(!o(e))throw new s("time is required.");for(var i=this._entitiesToVisualize.values,r=this._hash,n=this._primitives,C=0,S=i.length;C<S;C++){var y,w,A=i[C],M=A._rectangularSensor,x=r[A.id],D=A.isShowing&&A.isAvailable(e)&&h.getValueOrDefault(M._show,e,!0);if(D&&(y=h.getValueOrUndefined(A._position,e,v),w=h.getValueOrUndefined(A._orientation,e,g),D=o(y)&&o(w)),D){var E=o(x)?x.primitive:void 0;o(E)||(E=new d,E.id=A,n.add(E),x={primitive:E,position:void 0,orientation:void 0},r[A.id]=x),t.equals(y,x.position)&&c.equals(w,x.orientation)||(l.fromRotationTranslation(u.fromQuaternion(w,_),y,E.modelMatrix),x.position=t.clone(y,x.position),x.orientation=c.clone(w,x.orientation)),E.show=!0,E.xHalfAngle=h.getValueOrDefault(M._xHalfAngle,e,a.PI_OVER_TWO),E.yHalfAngle=h.getValueOrDefault(M._yHalfAngle,e,a.PI_OVER_TWO),E.radius=h.getValueOrDefault(M._radius,e,p),E.lateralSurfaceMaterial=m.getValue(e,M._lateralSurfaceMaterial,E.lateralSurfaceMaterial),E.intersectionColor=h.getValueOrClonedDefault(M._intersectionColor,e,f,E.intersectionColor),E.intersectionWidth=h.getValueOrDefault(M._intersectionWidth,e,1)}else o(x)&&(x.primitive.show=!1)}return!0},S.prototype.isDestroyed=function(){return!1},S.prototype.destroy=function(){for(var e=this._entitiesToVisualize.values,i=this._hash,t=this._primitives,r=e.length-1;r>-1;r--)C(e[r],i,t);return n(this)},S.prototype._onCollectionChanged=function(e,i,t,r){var n,s,a=this._entitiesToVisualize,u=this._hash,l=this._primitives;for(n=i.length-1;n>-1;n--)s=i[n],o(s._rectangularSensor)&&o(s._position)&&o(s._orientation)&&a.set(s.id,s);for(n=r.length-1;n>-1;n--)s=r[n],o(s._rectangularSensor)&&o(s._position)&&o(s._orientation)?a.set(s.id,s):(C(s,u,l),a.remove(s.id));for(n=t.length-1;n>-1;n--)s=t[n],C(s,u,l),a.remove(s.id)},S}),t("initialize",["require","Cesium/Core/Cartesian3","Cesium/Core/Color","Cesium/Core/defined","Cesium/Core/Spherical","Cesium/Core/TimeInterval","Cesium/DataSources/CzmlDataSource","Cesium/DataSources/DataSourceDisplay","./conic/conic-sensor-graphics","./conic/conic-sensor-visualizer","./custom/custom-pattern-sensor-graphics","./custom/custom-pattern-sensor-visualizer","./rectangular/rectangular-sensor-graphics","./rectangular/rectangular-sensor-visualizer"],function(e){"use strict";function i(e,i,t,r,o){var n,a,c=[],m=i.unitSpherical,h=i.spherical,d=i.unitCartesian,C=i.cartesian;if(u(m)){for(n=0,a=m.length;n<a;n+=2)c.push(new l(m[n],m[n+1]));i.array=c}else if(u(h)){for(n=0,a=h.length;n<a;n+=3)c.push(new l(h[n],h[n+1],h[n+2]));i.array=c}else if(u(d)){for(n=0,a=d.length;n<a;n+=3){var f=l.fromCartesian3(new s(d[n],d[n+1],d[n+2]));l.normalize(f,f),c.push(f)}i.array=c}else if(u(C)){for(n=0,a=C.length;n<a;n+=3)c.push(l.fromCartesian3(new s(C[n],C[n+1],C[n+2])));i.array=c}g(Array,e,"directions",i,t,r,o)}function t(e,i,t,r,o){g(Boolean,e,"show",i.show,t,r,o),g(Number,e,"radius",i.radius,t,r,o),g(Boolean,e,"showIntersection",i.showIntersection,t,r,o),g(a,e,"intersectionColor",i.intersectionColor,t,r,o),g(Number,e,"intersectionWidth",i.intersectionWidth,t,r,o),S(e,"lateralSurfaceMaterial",i.lateralSurfaceMaterial,t,r,o)}function r(e,i,r,o){var n=i.agi_conicSensor;if(u(n)){var s,a=n.interval;u(a)&&(y.iso8601=a,s=c.fromIso8601(y));var l=e.conicSensor;u(l)||(e.addProperty("conicSensor"),l=new d,e.conicSensor=l),t(l,n,s,o,r),g(Number,l,"innerHalfAngle",n.innerHalfAngle,s,o,r),g(Number,l,"outerHalfAngle",n.outerHalfAngle,s,o,r),g(Number,l,"minimumClockAngle",n.minimumClockAngle,s,o,r),g(Number,l,"maximumClockAngle",n.maximumClockAngle,s,o,r)}}function o(e,r,o,n){var s=r.agi_customPatternSensor;if(u(s)){var a,l=s.interval;u(l)&&(y.iso8601=l,a=c.fromIso8601(y));var m=e.customPatternSensor;u(m)||(e.addProperty("customPatternSensor"),m=new f,e.customPatternSensor=m),t(m,s,a,n,o);var h=s.directions;if(u(h))if(Array.isArray(h))for(var d=h.length,C=0;C<d;C++)i(m,h[C],a,n,o);else i(m,h,a,n,o)}}function n(e,i,r,o){var n=i.agi_rectangularSensor;if(u(n)){var s,a=n.interval;u(a)&&(y.iso8601=a,s=c.fromIso8601(y));var l=e.rectangularSensor;u(l)||(e.addProperty("rectangularSensor"),l=new _,e.rectangularSensor=l),t(l,n,s,o,r),g(Number,l,"xHalfAngle",n.xHalfAngle,s,o,r),g(Number,l,"yHalfAngle",n.yHalfAngle,s,o,r)}}var s=e("Cesium/Core/Cartesian3"),a=e("Cesium/Core/Color"),u=e("Cesium/Core/defined"),l=e("Cesium/Core/Spherical"),c=e("Cesium/Core/TimeInterval"),m=e("Cesium/DataSources/CzmlDataSource"),h=e("Cesium/DataSources/DataSourceDisplay"),d=e("./conic/conic-sensor-graphics"),C=e("./conic/conic-sensor-visualizer"),f=e("./custom/custom-pattern-sensor-graphics"),p=e("./custom/custom-pattern-sensor-visualizer"),_=e("./rectangular/rectangular-sensor-graphics"),v=e("./rectangular/rectangular-sensor-visualizer"),g=m.processPacketData,S=m.processMaterialPacketData,y={iso8601:void 0},w=!1;return function(){if(!w){m.updaters.push(r,o,n);var e=h.defaultVisualizersCallback;h.defaultVisualizersCallback=function(i,t,r){var o=r.entities;return e(i,t,r).concat([new C(i,o),new p(i,o),new v(i,o)])},w=!0}}}),t("cesium-sensors",["require","./initialize","./conic/conic-sensor-graphics","./conic/conic-sensor-visualizer","./custom/custom-pattern-sensor-graphics","./custom/custom-pattern-sensor-visualizer","./custom/custom-sensor-volume","./rectangular/rectangular-pyramid-sensor-volume","./rectangular/rectangular-sensor-graphics","./rectangular/rectangular-sensor-visualizer"],function(e){"use strict";var i=e("./initialize"),t=e("./conic/conic-sensor-graphics"),r=e("./conic/conic-sensor-visualizer"),o=e("./custom/custom-pattern-sensor-graphics"),n=e("./custom/custom-pattern-sensor-visualizer"),s=e("./custom/custom-sensor-volume"),a=e("./rectangular/rectangular-pyramid-sensor-volume"),u=e("./rectangular/rectangular-sensor-graphics"),l=e("./rectangular/rectangular-sensor-visualizer");return i(),{ConicSensorGraphics:t,ConicSensorVisualizer:r,CustomPatternSensorGraphics:o,CustomPatternSensorVisualizer:n,CustomSensorVolume:s,RectangularPyramidSensorVolume:a,RectangularSensorGraphics:u,RectangularSensorVisualizer:l}}),t("Cesium/Core/Cartesian3",function(){return Cesium.Cartesian3}),t("Cesium/Core/Color",function(){return Cesium.Color}),t("Cesium/Core/defined",function(){return Cesium.defined}),t("Cesium/Core/Spherical",function(){return Cesium.Spherical}),t("Cesium/Core/TimeInterval",function(){return Cesium.TimeInterval}),t("Cesium/DataSources/CzmlDataSource",function(){return Cesium.CzmlDataSource}),t("Cesium/DataSources/DataSourceDisplay",function(){return Cesium.DataSourceDisplay}),t("Cesium/Core/defaultValue",function(){return Cesium.defaultValue}),t("Cesium/Core/DeveloperError",function(){return Cesium.DeveloperError}),t("Cesium/Core/Event",function(){return Cesium.Event}),t("Cesium/DataSources/createMaterialPropertyDescriptor",function(){return Cesium.createMaterialPropertyDescriptor}),t("Cesium/DataSources/createPropertyDescriptor",function(){return Cesium.createPropertyDescriptor}),t("Cesium/Core/AssociativeArray",function(){return Cesium.AssociativeArray}),t("Cesium/Core/destroyObject",function(){return Cesium.destroyObject}),t("Cesium/Core/Math",function(){return Cesium.Math}),t("Cesium/Core/Matrix3",function(){return Cesium.Matrix3}),t("Cesium/Core/Matrix4",function(){return Cesium.Matrix4}),t("Cesium/Core/Quaternion",function(){return Cesium.Quaternion}),t("Cesium/DataSources/MaterialProperty",function(){return Cesium.MaterialProperty}),t("Cesium/DataSources/Property",function(){return Cesium.Property}),t("Cesium/Core/BoundingSphere",function(){return Cesium.BoundingSphere}),t("Cesium/Core/combine",function(){return Cesium.combine}),t("Cesium/Core/ComponentDatatype",function(){return Cesium.ComponentDatatype}),t("Cesium/Core/PrimitiveType",function(){return Cesium.PrimitiveType}),t("Cesium/Renderer/Buffer",function(){return Cesium.Buffer}),t("Cesium/Renderer/BufferUsage",function(){return Cesium.BufferUsage}),t("Cesium/Renderer/DrawCommand",function(){return Cesium.DrawCommand}),t("Cesium/Renderer/Pass",function(){return Cesium.Pass}),t("Cesium/Renderer/RenderState",function(){return Cesium.RenderState}),t("Cesium/Renderer/ShaderProgram",function(){return Cesium.ShaderProgram}),t("Cesium/Renderer/ShaderSource",function(){return Cesium.ShaderSource}),t("Cesium/Renderer/VertexArray",function(){return Cesium.VertexArray}),t("Cesium/Scene/BlendingState",function(){return Cesium.BlendingState}),t("Cesium/Scene/CullFace",function(){return Cesium.CullFace}),t("Cesium/Scene/Material",function(){return Cesium.Material}),t("Cesium/Scene/SceneMode",function(){return Cesium.SceneMode}),t("Cesium/Core/clone",function(){return Cesium.clone}),i(["cesium-sensors"],function(e){"use strict";var i;i="undefined"==typeof window?"undefined"==typeof self?{}:self:window,i.CesiumSensorVolumes=e},void 0,!0)}();